<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml">

<head th:replace="fragments/header :: head"><title></title></head>

<body>
    <nav th:replace="fragments/navbar :: navbar"></nav>

    <main class="page gallery-page">
        <section class="clean-block clean-gallery dark">
            <div class="container">
                <div class="block-heading">
                    <h2><a class="text-info" th:if="${category != null}" th:href="@{/catalog/{id}(id=${category.category.parentCategoryId})}" th:text="${category.localizedName}">Current category name</a></h2>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        <div th:replace="fragments/categorybar :: categorybar(parentCategory = ${parentCategory}, currentId = ${category.category.id}, servletUrl = ${'/catalog'})"></div>
                    </div>
                    <div class="col-md-9">
                        <div class="products">
                            <div class="row" th:if="${categoryList != null}">
                                <div class="col-md-6 col-lg-4 item" th:each="category : ${categoryList}">
                                    <a class="lightbox" th:href="@{/catalog/{id}(id=${category.category.id})}">
                                        <img class="img-thumbnail img-fluid image" src="/static/img/scenery/image1.jpg" th:src="@{${category.category.imagePath}}" alt="">
                                        <label th:text="${category.localizedName}"></label>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>

    <footer th:replace="fragments/footer:: footer(_)"></footer>

</body>
</html>